> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a promotion

> Get a promotion

### Path parameters

<ParamField path="id" type="string" required>
  Promotion ID
</ParamField>

### Responses

<ResponseField name="200" type="PromotionResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/promotions/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "code": null,
    "created_at": "string",
    "discount_value": null,
    "id": "string",
    "name": "string",
    "promotion_type": "string",
    "status": "string"
  }
  ```
</ResponseExample>
